Uses of Interface
io.vertx.ext.web.client.HttpRequest
Packages that use HttpRequest
Package
Description
-
Uses of HttpRequest in io.vertx.ext.web.client
Methods in io.vertx.ext.web.client that return HttpRequestModifier and TypeMethodDescriptionHttpRequest.addQueryParam(String paramName, String paramValue) Add a query parameter to the request.<U> HttpRequest<U> Configure the request to decode the response with theresponseCodec.HttpRequest.authentication(Credentials credentials) Configure the request to perform HTTP Authentication.default HttpRequest<T> HttpRequest.basicAuthentication(Buffer id, Buffer password) Configure the request to perform basic access authentication.default HttpRequest<T> HttpRequest.basicAuthentication(String id, String password) Configure the request to perform basic access authentication.default HttpRequest<T> HttpRequest.bearerTokenAuthentication(String bearerToken) Configure the request to perform bearer token authentication.HttpRequest.connectTimeout(long timeout) Sets the amount of time after which, if the request is not obtained from the client within the timeout period, the response is failed with aTimeoutException.HttpRequest.copy()Copy this requestdefault HttpRequest<Buffer> WebClient.delete(int port, String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.delete(UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.delete(String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.deleteAbs(UriTemplate absoluteURI) Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.followRedirects(boolean value) Set whether to follow request redirectionsdefault HttpRequest<Buffer> WebClient.get(int port, String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.get(UriTemplate requestURI) Create an HTTP GET request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.get(String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.getAbs(UriTemplate absoluteURI) Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.head(int port, String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.head(UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.head(String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.headAbs(UriTemplate absoluteURI) Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responseConfigure the request to use a new hostvalue.HttpRequest.idleTimeout(long timeout) Sets the amount of time after which, if the request does not return any data within the timeout period, the request/response is closed and the related futures are failed with aTimeoutException.HttpRequest.method(HttpMethod value) Configure the request to use a new methodvalue.HttpRequest.multipartMixed(boolean allow) Allow or disallow multipart mixed encoding when sendingMultipartFormhaving files sharing the same file name.default HttpRequest<Buffer> WebClient.patch(int port, String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.patch(UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.patch(String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.patchAbs(UriTemplate absoluteURI) Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.port(int value) Configure the request to use a new portvalue.default HttpRequest<Buffer> WebClient.post(int port, String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.post(UriTemplate requestURI) Create an HTTP POST request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.post(String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.postAbs(UriTemplate absoluteURI) Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responseHttpRequest.proxy(ProxyOptions proxyOptions) Configure the request to set a proxy for this request.default HttpRequest<Buffer> WebClient.put(int port, String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.put(UriTemplate requestURI) Create an HTTP PUT request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.put(String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.putAbs(UriTemplate absoluteURI) Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<T> HttpRequest.putHeader(CharSequence name, CharSequence value) Configure the request to set a new HTTP header usingCharSequence.default HttpRequest<T> HttpRequest.putHeader(CharSequence name, Iterable<CharSequence> values) Configure the request to set a new HTTP header with multiple values usingCharSequence.Configure the request to set a new HTTP header with multiple values.Configure the request to set a new HTTP header.HttpRequest.putHeaders(MultiMap headers) Configure the request to add multiple HTTP headers .default HttpRequest<Buffer> WebClient.request(HttpMethod method, int port, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, RequestOptions options) Deprecated.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, UriTemplate)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, RequestOptions options) Deprecated.instead useWebClient.request(RequestOptions)WebClient.request(HttpMethod method, SocketAddress serverAddress, UriTemplate requestURI) LikeWebClient.request(HttpMethod, UriTemplate)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String requestURI) LikeWebClient.request(HttpMethod, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, String, UriTemplate)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, String requestURI) LikeWebClient.request(HttpMethod, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.default HttpRequest<Buffer> WebClient.request(HttpMethod method, UriTemplate requestURI) Create an HTTP request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String requestURI) Create an HTTP request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(RequestOptions options) Create an HTTP request to send to the server from the specified requestoptions.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, UriTemplate absoluteURI) LikeWebClient.requestAbs(HttpMethod, UriTemplate)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, String absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.default HttpRequest<Buffer> WebClient.requestAbs(HttpMethod method, UriTemplate absoluteURI) Create an HTTP request to send to the server using an absolute URIdefault HttpRequest<Buffer> WebClient.requestAbs(HttpMethod method, String absoluteURI) Create an HTTP request to send to the server using an absolute URIHttpRequest.routingKey(String key) Set the routing key, the routing key can be used by a Vert.x client side sticky load balancer to pin the request to a remote HTTP server.HttpRequest.setQueryParam(String paramName, String paramValue) Set a query parameter to the request.HttpRequest.setTemplateParam(String paramName, String paramValue) Set a request URI template string parameter to the request, expanded when the request URI is aUriTemplate.HttpRequest.setTemplateParam(String paramName, List<String> paramValue) Set a request URI template list parameter to the request, expanded when the request URI is aUriTemplate.HttpRequest.setTemplateParam(String paramName, Map<String, String> paramValue) Set a request URI template map parameter to the request, expanded when the request URI is aUriTemplate.Configure the request whether to use SSL.HttpRequest.timeout(long value) Configures the amount of time in milliseconds after which if the request does not return any data within the timeout period anTimeoutExceptionfails the request.HttpRequest.traceOperation(String traceOperation) Trace operation name override.Configure the request to use a new request URIvalue.HttpRequest.virtualHost(String value) Configure the request to use a virtual hostvalue. -
Uses of HttpRequest in io.vertx.reactivex.ext.web.client
Methods in io.vertx.reactivex.ext.web.client that return HttpRequestMethods in io.vertx.reactivex.ext.web.client with parameters of type HttpRequestModifier and TypeMethodDescriptionstatic <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg) static <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T) Constructors in io.vertx.reactivex.ext.web.client with parameters of type HttpRequest -
Uses of HttpRequest in io.vertx.rxjava3.ext.web.client
Methods in io.vertx.rxjava3.ext.web.client that return HttpRequestMethods in io.vertx.rxjava3.ext.web.client with parameters of type HttpRequestModifier and TypeMethodDescriptionstatic <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg) static <T> HttpRequest<T> HttpRequest.newInstance(HttpRequest arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T) Constructors in io.vertx.rxjava3.ext.web.client with parameters of type HttpRequest
WebClient.request(RequestOptions)